Bug 197719 - scim-bridge segfault when closing GTK app
scim-bridge segfault when closing GTK app
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: scim-bridge (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
:
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
 
Reported: 2006-07-05 15:06 EDT by Warren Togami
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: scim-bridge-0.4.1-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-31 00:49:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2006-07-05 15:06:15 EDT
This happened while gdb was attached to scim-bridge-agent while I was closing a
GTK application.  Subsequently to this crash, *all* scim* processes were dead.

#0  0x0050cc56 in scim::IMEngineInstanceBase::set_frontend_data (this=0x0,
data=0x8e595f0) at scim_imengine.cpp:310
#1  0x0806096c in ScimBridgeAgentIMContextImpl::focus_out (this=0x8e595f0) at
scim-bridge-agent-imcontext.cpp:643
#2  0x08059bc2 in ScimBridgeAgentIMContextImpl::free (this=0x8e595f0) at
scim-bridge-agent-imcontext.cpp:296
#3  0x08050993 in ScimBridgeAgentImpl::free_imcontext (this=0x8cd5cd8,
event=0x8e607d8) at scim-bridge-agent.cpp:717
#4  0x08054fce in ScimBridgeAgentImpl::read_and_dispatch (this=0x8cd5cd8) at
scim-bridge-agent.cpp:299
#5  0x08055048 in run_event_dispatcher (arg=0x8cd5cd8) at scim-bridge-agent.cpp:184
#6  0x002a9235 in start_thread () from /lib/libpthread.so.0
#7  0x0037665e in clone () from /lib/libc.so.6
Comment 1 Warren Togami 2006-07-05 15:20:46 EDT
scim-1.4.4-21
scim-bridge-0.2.3-1
scim-anthy-1.0.0-2.fc6
LANG=en_US.UTF-8
GTK_IM_MODULE=scim-bridge

These failures began with scim-bridge-0.2 pre-releases.  scim-bridge-0.1.12
worked for me for at least 12 hours before a crash.
Comment 2 Ryo Dairiki 2006-07-06 12:35:19 EDT
Thank you for the stack trace.
It must be fixed on the CVS latest.
Comment 3 Jens Petersen 2006-07-06 22:50:14 EDT
Thanks.  0.2.3-2.fc6 contains the latest fixes from cvs.
Comment 4 Lawrence Lim 2006-08-31 00:49:00 EDT
Reproduced with scim-bridge-0.2.3-1, not reproducible anymore with
scim-bridge-0.4.1-1.fc6. Resolving.

Note You need to log in before you can comment on or make changes to this bug.